2 Replies Latest reply on Oct 30, 2013 8:54 PM by stephensexton

    Java warning when loading FMS12

    stephensexton

      Just wondering if anyone had anything helpful to say about the following warning when opening the FileMaker Server 12 admin console... not giving a lot of confidence in running the next update!

       

      "This application will be blocked in a future Java security update because the JAR file manifest does not contain the Permissions attribute. Please contact the Publisher for more Information."

       

      I found the following information via the link below...

       

      http://java.com/en/download/help/trusted_signed_variations.xml

       

      "

      What to do:

      • Only run this application if you trust the publisher and the website location information displayed in this dialog.
      • If you see the yellow notice, you may choose to notify the publisher.

      "

        • 1. Re: Java warning when loading FMS12
          mikebeargie

          Just a Java quirk, nothing I would seriously worry about.

           

          It's the equivalent of the message you get on a mac for an application you download outside the app store ( IE this message: http://osxdaily.com/wp-content/uploads/2010/07/mac-download-message.png )

           

          Java is frequently updated because it's frequently exploited, so it's just another security measure.

           

          It's been my personal best practice to try and minimize dependence on Java on my server, so I can leave it be. Usually the FM installer will install the best version of Java for FM along with it.

           

          There's been hundreds of reports from people that break FM after a java update that I can remember over the past few years. I'm sure Filemaker has taken notice, and will continue to break free of the Java constraints.

           

          By the way, which version do you have? 12.0v4 updates to Java 7, not sure if that solves this message.

          1 of 1 people found this helpful
          • 2. Re: Java warning when loading FMS12
            stephensexton

            Thanks Mike -

             

            It doesn't seem to have caused any problems so far... just a new message I have noted with the last couple of FMServer installations and Java updates I have done.  It seems to relate to FMS 12.0.4 and JRE 7v45.  I'm personally using OS X 10.9 (FMS was already installed prior to this OS update), but have also had the message appear when installing FMS on OS X 10.8.5.

             

            Regards, Stephen